/*--------------------------------------------------------------------
 *
 *	Copyright (c) 1991-2025 by the GMT Team (https://www.generic-mapping-tools.org/team.html)
 *	See LICENSE.TXT file for copying and redistribution conditions.
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU Lesser General Public License as published by
 *	the Free Software Foundation; version 3 or any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Lesser General Public License for more details.
 *
 *	Contact info: www.generic-mapping-tools.org
 *--------------------------------------------------------------------*/

#ifndef GRDCUT_INC_H
#define GRDCUT_INC_H

/* Translation table from long to short module options, directives and modifiers */

static struct GMT_KEYWORD_DICTIONARY module_kw[] = {
	/* separator, short_option, long_option,
		  short_directives,    long_directives,
		  short_modifiers,     long_modifiers,
		  transproc_mask */
	{ 0, 'D', "dryrun",
	          "",                  "",
	          "t",                 "trailer",
		  GMT_TP_STANDARD },
	{ 0, 'E', "extract|colslice|rowslice",
	          "x,y",               "x,y",
	          "",                  "",
		  GMT_TP_STANDARD },
	{ 0, 'F', "clip",
	          "",                  "",
	          "c,i",               "crop,invert",
		  GMT_TP_STANDARD },
	GMT_G_OUTGRID_KW,
	{ 0, 'N', "extend",            "", "", "", "", GMT_TP_STANDARD },
	{ 0, 'S', "circ_subregion",
	          "",                  "",
	          "n",                 "set_nan",
		  GMT_TP_STANDARD },
	{ 0, 'Z', "zrange",
	          "",                  "",
	          "n,N,r",             "exclude_nan,include_nan,strip_nan_rowcols",
		  GMT_TP_STANDARD },
	{ 0, '\0', "", "", "", "", "", 0 }  /* End of list marked with empty option and strings */
};
#endif  /* !GRDCUT_INC_H */
